{
  "aggMode" : "NONE",
  "codeName" : "Main",
  "columnEnableLink" : 2,
  "controlType" : "MULTIEDITVIEWPANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSMULTIEDITVIEWPANELS/Main.json",
  "getEmbeddedPSAppView" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKUsr5EditView.json",
    "viewType" : "DEEDITVIEW"
  },
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ONSELECTIONCHANGE" ],
  "logicName" : "主表格",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdegrids/Main",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "onSelectionChange",
    "logicTag" : "meditviewpanel",
    "logicType" : "SCRIPT",
    "name" : "printSelection",
    "scriptCode" : "console.log(data);"
  }, {
    "eventNames" : "onSelectionChange",
    "logicTag" : "meditviewpanel",
    "logicType" : "DEUILOGIC",
    "name" : "cancelSelect",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "cancelSelect"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    }
  }, {
    "logicTag" : "meditviewpanel",
    "logicType" : "SCRIPT",
    "name" : "timerLogic",
    "scriptCode" : "console.log('表格逻辑触发，定时器打印输出...');",
    "triggerType" : "TIMER"
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
      "mOSFilePath" : "pslanguageres/Auto1983",
      "rTMOSFilePath" : "pslanguageres/Auto1983"
    },
    "caption" : "图书名称",
    "codeName" : "ibizbookname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizbookname",
    "excelCaption" : "图书名称",
    "mOSFilePath" : "psdegridcols/ibizbookname",
    "name" : "ibizbookname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    },
    "rTMOSFilePath" : "psdegridcols/ibizbookname",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN",
      "mOSFilePath" : "pslanguageres/Auto202",
      "rTMOSFilePath" : "pslanguageres/Auto202"
    },
    "caption" : "更新人",
    "codeName" : "updateman",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updateman",
    "excelCaption" : "更新人",
    "mOSFilePath" : "psdegridcols/updateman",
    "name" : "updateman",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
    },
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    },
    "rTMOSFilePath" : "psdegridcols/updateman",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE",
      "mOSFilePath" : "pslanguageres/Auto1074",
      "rTMOSFilePath" : "pslanguageres/Auto1074"
    },
    "caption" : "更新时间",
    "codeName" : "updatedate",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updatedate",
    "excelCaption" : "更新时间",
    "mOSFilePath" : "psdegridcols/updatedate",
    "name" : "updatedate",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "rTMOSFilePath" : "psdegridcols/updatedate",
    "valueFormat" : "YYYY-MM-DD HH:mm:ss",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "ibizbookname",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "updateman",
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "format" : "YYYY-MM-DD HH:mm:ss",
    "dataType" : 5,
    "name" : "updatedate",
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizbookid",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "图书标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/srfkey",
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "rTMOSFilePath" : "psdegridcols/srfkey",
    "allowEmpty" : true
  } ],
  "pagingSize" : 20,
  "panelStyle" : "ROW",
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKMEditView9/psappviewctrls/meditviewpanel",
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "6cd11a010cbbb4d2bad5e1aad7e8020a",
  "modeltype" : "PSDEGRID"
}